tags 416890 + patch
thanks
Hi,
Attached is the diff for my libapache-mod-filter 1.4-10.1 NMU during BSP
which I uploaded to delayed-0.
--
Luk Claes - http://people.debian.org/~luk - GPG key 1024D/9B7C328D
Fingerprint: D5AF 25FB 316B 53BB 08E7 F999 E544 DE07 9B7C 328D
diff -u libapache-mod-filter-1.4/debian/postrm libapache-mod-filter-1.4/debian/postrm
--- libapache-mod-filter-1.4/debian/postrm
+++ libapache-mod-filter-1.4/debian/postrm
@@ -5,26 +5,28 @@
MODULE=mod_filter
-# Source debconf library.
-. /usr/share/debconf/confmodule
-
case "$1" in
remove)
- db_get shared/apache-modules/counters/remove
- COUNT="$RET"
- let COUNT-- || true
- db_set shared/apache-modules/counters/remove "$COUNT"
- if [ "$COUNT" -eq 0 ]
- then
- # this is a last removed module, time to act
- db_get shared/apache-modules/counters/remove_list
- LIST="$RET"
- for ap in '' -ssl -perl
- do
- [ -x /usr/sbin/apache$ap ] && \
- apache-modconf apache$ap disable "`echo $LIST | sed -e 's/^,//'`"
- done
- db_set shared/apache-modules/counters/remove_list ''
+ if [ -f /usr/share/debconf/confmodule ]; then
+ # Source debconf library.
+ . /usr/share/debconf/confmodule
+
+ db_get shared/apache-modules/counters/remove
+ COUNT="$RET"
+ let COUNT-- || true
+ db_set shared/apache-modules/counters/remove "$COUNT"
+ if [ "$COUNT" -eq 0 ]
+ then
+ # this is a last removed module, time to act
+ db_get shared/apache-modules/counters/remove_list
+ LIST="$RET"
+ for ap in '' -ssl -perl
+ do
+ [ -x /usr/sbin/apache$ap ] && \
+ apache-modconf apache$ap disable "`echo $LIST | sed -e 's/^,//'`"
+ done
+ db_set shared/apache-modules/counters/remove_list ''
+ fi
fi
;;
diff -u libapache-mod-filter-1.4/debian/preinst libapache-mod-filter-1.4/debian/preinst
--- libapache-mod-filter-1.4/debian/preinst
+++ libapache-mod-filter-1.4/debian/preinst
@@ -5,64 +5,66 @@
MODULE=mod_filter
-# Source debconf library.
-. /usr/share/debconf/confmodule
-
-case "$1" in
- install)
- db_get shared/apache-modules/counters/install
- COUNT="$RET"
- db_get shared/apache-modules/counters/install_list
- LIST="$RET"
- if echo $LIST | sed -e 's/,/,\n/g' | egrep -q "^$MODULE,?$"
- then
- # already added, nothing to do
- :
- else
- # add this module to list & counter
- let COUNT++ || true
- LIST="$LIST,$MODULE"
- db_set shared/apache-modules/counters/install "$COUNT"
- db_set shared/apache-modules/counters/install_list "$LIST"
- fi
- ;;
-
- upgrade | abort-upgrade)
- db_get shared/apache-modules/counters/upgrade
- COUNT="$RET"
- db_get shared/apache-modules/counters/upgrade_list
- LIST="$RET"
- if [ "$COUNT" -eq 0 ]
- then
- # no modules were upgraded so far, so we need to ask for reload
- for ap in '' -ssl -perl
- do
- if [ -x /usr/sbin/apache$ap ]
- then
- db_fset shared/apache-modules/reload$ap seen false
- db_input medium shared/apache-modules/reload$ap || true
- db_go
- fi
- done
- fi
- if echo $LIST | sed -e 's/,/,\n/g' | egrep -q "^$MODULE,?$"
- then
- # already added, nothing to do
- :
- else
- # add this module to list & counter
- let COUNT++ || true
- LIST="$LIST,$MODULE"
- db_set shared/apache-modules/counters/upgrade "$COUNT"
- db_set shared/apache-modules/counters/upgrade_list "$LIST"
- fi
- ;;
-
- *)
- echo "$0: didn't understand being called with \`$1'" >&2
- exit 1
- ;;
-esac
+if [ -f /usr/share/debconf/confmodule ]; then
+ # Source debconf library.
+ . /usr/share/debconf/confmodule
+
+ case "$1" in
+ install)
+ db_get shared/apache-modules/counters/install
+ COUNT="$RET"
+ db_get shared/apache-modules/counters/install_list
+ LIST="$RET"
+ if echo $LIST | sed -e 's/,/,\n/g' | egrep -q "^$MODULE,?$"
+ then
+ # already added, nothing to do
+ :
+ else
+ # add this module to list & counter
+ let COUNT++ || true
+ LIST="$LIST,$MODULE"
+ db_set shared/apache-modules/counters/install "$COUNT"
+ db_set shared/apache-modules/counters/install_list "$LIST"
+ fi
+ ;;
+
+ upgrade | abort-upgrade)
+ db_get shared/apache-modules/counters/upgrade
+ COUNT="$RET"
+ db_get shared/apache-modules/counters/upgrade_list
+ LIST="$RET"
+ if [ "$COUNT" -eq 0 ]
+ then
+ # no modules were upgraded so far, so we need to ask for reload
+ for ap in '' -ssl -perl
+ do
+ if [ -x /usr/sbin/apache$ap ]
+ then
+ db_fset shared/apache-modules/reload$ap seen false
+ db_input medium shared/apache-modules/reload$ap || true
+ db_go
+ fi
+ done
+ fi
+ if echo $LIST | sed -e 's/,/,\n/g' | egrep -q "^$MODULE,?$"
+ then
+ # already added, nothing to do
+ :
+ else
+ # add this module to list & counter
+ let COUNT++ || true
+ LIST="$LIST,$MODULE"
+ db_set shared/apache-modules/counters/upgrade "$COUNT"
+ db_set shared/apache-modules/counters/upgrade_list "$LIST"
+ fi
+ ;;
+
+ *)
+ echo "$0: didn't understand being called with \`$1'" >&2
+ exit 1
+ ;;
+ esac
+fi
#DEBHELPER#
diff -u libapache-mod-filter-1.4/debian/changelog libapache-mod-filter-1.4/debian/changelog
--- libapache-mod-filter-1.4/debian/changelog
+++ libapache-mod-filter-1.4/debian/changelog
@@ -1,3 +1,10 @@
+libapache-mod-filter (1.4-10.1) unstable; urgency=high
+
+ * Non-maintainer upload during BSP.
+ * Fix unconditional use of debconf in postrm (Closes: #416890).
+
+ -- Luk Claes <[EMAIL PROTECTED]> Fri, 18 May 2007 15:11:20 +0200
+
libapache-mod-filter (1.4-10) unstable; urgency=low
* Added Czech, German, Spanish, French, Italian, Japanese and Swedish